Subject: Re: bug#14464: 24.3; require sets deactivate-mark causing problems with some plugins

From: Glenn Morris <[email-masked]>
Date: Sat, 25 May 2013 14:06:15 -0400

Please keep the debbugs address cc'd.
I am resending your comments so that they are visible to others.

Date: Fri, 24 May 2013 17:47:31 -0500
From: Donald Curtis <[email-masked]>
Subject: Re: bug#14464: 24.3; require sets deactivate-mark causing problems
 with some plugins

Yes, this is what my initial intuition was. I have traced this error down
to something much more obscure. I don't understand why it's happening. But
let me give you some code to reproduce the odd behavior without concern for
`multiple-cursors`.

Make sure both files are in the same directory.

# Working Correctly

1. open `sample.el` with: emacs -Q sample.el
2. eval just the `progn` portion of the provided code.
3. transient mark something
4. hit C-.

the active-mark is still there. now exit emacs and start again,

# Odd Behavior

1. open `sample.el` with: emacs -Q sample.el
2. eval the `defadvice`
3. eval the `progn` portion of the provided code.
4. transient mark something
5. hit C-.

now the active-mark disappears.

AND what is even weirder is that if you remove the `compile` option from
the `defadvice` then there is no issue. but there is something weird here!

On Fri, May 24, 2013 at 4:02 PM, Glenn Morris <[email-masked]> wrote:

> I think it's unlikely that require itself messes with the mark.
> The thing that you are requiring can of course do anything at all.
> Sounds like this could be a problem in "multiple-cursors", which isn't
> part of Emacs.